#!/bin/bash

# ------------------------------------------------------------
# Copyright (c) Microsoft Corporation.  All rights reserved.
# Licensed under the MIT License (MIT). See License.txt in the repo root for license information.
# ------------------------------------------------------------

check_errs_noexit()
{
  if [ "${1}" -ne "0" ]; then
    echo "${2}"
    echo "Error code: ${1}"
  fi
}

if [[ $EUID -ne 0 ]]; then
   echo "This script must be run as root" 1>&2
   exit 1
fi

echo Stopping service
systemctl stop servicefabric
check_errs_noexit $? "Error: Stopping service failed. Check output for details."

echo Fabric service stopped

echo Disable service fabric service
systemctl disable servicefabric
check_errs_noexit $? "Error: Disable of servicefabric service failed. Check output for details."

SFCTL_TEMP_DIR=/home/${SUDO_USER}/.sfctl
if [ -d $SFCTL_TEMP_DIR ]; then
    rm -r /home/${SUDO_USER}/.sfctl
    check_errs_noexit $? "Error: Failed to clean sfctl temp folder ${SFCTL_TEMP_DIR}."
fi

SF_OBJECTFOLDER=/tmp/.service.fabric
if [ -d ${SF_OBJECTFOLDER} ]; then
    echo "Deleting Service Fabric object folder ${SF_OBJECTFOLDER}."
    rm -rf  ${SF_OBJECTFOLDER}
    check_errs_noexit $? "Error: Failed to clean Service Fabric object folder ${SF_OBJECTFOLDER}."
fi